Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.persistence.bookmarks
Class DefaultBookmarkHandler

    java.lang.Object
      com.endeca.portal.persistence.bookmarks.DefaultBookmarkHandler

All Implemented Interfaces:
  BookmarkHandler

    public class DefaultBookmarkHandler

extends java.lang.Object
implements BookmarkHandler

Provides default functionality for handling a portlet bookmark. A `PortletStateSerializer` is passed in during construction to handle serializing and deserializing the portlet state.

Constructor Summary
`DefaultBookmarkHandler(PortletStateSerializer serializer)`

Method Summary
`void` | `handleBookmarkCreation(Bookmark bookmark, javax.portlet.PortletRequest request, javax.portlet.StateAwareResponse response)` See `BookmarkHandler.handleBookmarkCreation(com.endeca.portal.model.Bookmark, javax.portlet.PortletRequest, javax.portlet.StateAwareResponse)`
`void` | `handleBookmarkLoad(Bookmark bookmark, javax.portlet.PortletRequest request, javax.portlet.StateAwareResponse response)` See `BookmarkHandler.handleBookmarkLoad(com.endeca.portal.model.Bookmark, javax.portlet.PortletRequest, javax.portlet.StateAwareResponse)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultBookmarkHandler

    public DefaultBookmarkHandler(PortletStateSerializer serializer)

Method Detail

### handleBookmarkCreation

    public void handleBookmarkCreation(Bookmark bookmark,
                                       javax.portlet.PortletRequest request,
                                       javax.portlet.StateAwareResponse response)
                                throws javax.portlet.PortletException

  See `BookmarkHandler.handleBookmarkCreation(com.endeca.portal.model.Bookmark, javax.portlet.PortletRequest, javax.portlet.StateAwareResponse)`

  Specified by:
    `handleBookmarkCreation` in interface `BookmarkHandler`
  Throws:
    `javax.portlet.PortletException`

### handleBookmarkLoad

    public void handleBookmarkLoad(Bookmark bookmark,
                                   javax.portlet.PortletRequest request,
                                   javax.portlet.StateAwareResponse response)
                            throws javax.portlet.PortletException

  See `BookmarkHandler.handleBookmarkLoad(com.endeca.portal.model.Bookmark, javax.portlet.PortletRequest, javax.portlet.StateAwareResponse)`

  Specified by:
    `handleBookmarkLoad` in interface `BookmarkHandler`
  Throws:
    `javax.portlet.PortletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD